# _RunSync
<span class="source-link">[[Source]](src/ponybench/_runner.md#L6)</span>
```pony
actor tag _RunSync is
  _Runner tag
```

#### Implements

* [_Runner](ponybench-_Runner) tag

---

## Constructors

### create
<span class="source-link">[[Source]](src/ponybench/_runner.md#L12)</span>


```pony
new tag create(
  ponybench: PonyBench tag,
  benchmark: MicroBenchmark iso,
  overhead: Bool val)
: _RunSync tag^
```
#### Parameters

*   ponybench: [PonyBench](ponybench-PonyBench) tag
*   benchmark: [MicroBenchmark](ponybench-MicroBenchmark) iso
*   overhead: [Bool](builtin-Bool) val

#### Returns

* [_RunSync](ponybench-_RunSync) tag^

---

## Public Behaviours

### apply
<span class="source-link">[[Source]](src/ponybench/_runner.md#L23)</span>


```pony
be apply()
```

---

## Private Behaviours

### _run_iteration
<span class="source-link">[[Source]](src/ponybench/_runner.md#L28)</span>


```pony
be _run_iteration(
  n: U64 val = seq,
  a: U64 val = seq)
```
#### Parameters

*   n: [U64](builtin-U64) val = seq
*   a: [U64](builtin-U64) val = seq

---

### _complete
<span class="source-link">[[Source]](src/ponybench/_runner.md#L52)</span>


```pony
be _complete(
  t: U64 val)
```
#### Parameters

*   t: [U64](builtin-U64) val

---

### _fail
<span class="source-link">[[Source]](src/ponybench/_runner.md#L56)</span>


```pony
be _fail()
```

---

## Private Functions

### _gc_next_behavior
<span class="source-link">[[Source]](src/ponybench/_runner.md#L59)</span>


```pony
fun ref _gc_next_behavior()
: None val
```

#### Returns

* [None](builtin-None) val

---

